| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
lfun::

# Method lfun::`-()

Method `-

  `mixed `-(void|zero arg)`

Description

  Negation and left side subtraction/set difference callback.

  This is used by `- . When called without an argument the result should be a new instance that represents the negation of this object, otherwise the result should be a new instance that represents the difference between this object and arg .

Note

  It's assumed that this function is side-effect free.

See also

  lfun::``-() , `-()